diff --git a/repos/ports/run/vbox5_win10_64.run b/repos/ports/run/vbox5_win10_64.run
index b895764..b1a212f 100644
--- a/repos/ports/run/vbox5_win10_64.run
+++ b/repos/ports/run/vbox5_win10_64.run
@@ -12,9 +12,9 @@ set use_vbox5 1
 
 set use_rumpfs 1
 # Write overlay only into ram
-set use_ram_fs 1
+set use_ram_fs 0
 # However read initial overlay from disk
-set use_overlay_from_disk 1
+set use_overlay_from_disk 0
 
 set use_usb 1
 set use_ps2 [have_spec ps2]
diff --git a/repos/ports/run/vbox_win.inc b/repos/ports/run/vbox_win.inc
index a4f96f4..eada561 100644
--- a/repos/ports/run/vbox_win.inc
+++ b/repos/ports/run/vbox_win.inc
@@ -112,13 +112,13 @@ append config_of_app {
 
 for { set i 1} { $i <= $use_vms } { incr i} {
 append config_of_app "
-			<policy label=\"vbox_pointer -> shape$i\"           report=\"vbox$i -> shape\"/>"
+			<policy label=\"vbox_pointer -> shape$i\"           report=\"launcher -> vbox$i -> shape\"/>"
 }
 
 append config_of_app {
 			<policy label="usb_report_filter -> devices"        report="usb_drv -> devices"/>
 			<policy label="usb_report_filter -> usb_drv_config" report="usb_drv -> config"/>
-			<policy label="vbox1 -> usb_devices"                report="usb_report_filter -> usb_devices"/>}
+			<policy label="launcher -> vbox1 -> usb_devices"                report="usb_report_filter -> usb_devices"/>}
 append_if [expr $use_cpu_load] config_of_app {
 			<policy label="cpu_load_display -> trace_subjects"
 			        report="trace_subject_reporter -> trace_subjects"/>}
@@ -147,166 +147,110 @@ append config_of_app {
 			<default-policy domain=""/>
 		</config>
 	</start>
-
 	<start name="vbox_pointer" priority="-1">
 		<resource name="RAM" quantum="2M"/>
-		<config>}
-
-for { set i 1} { $i <= $use_vms } { incr i} {
-append config_of_app "
-			<policy label=\"nit_fb$i\" rom=\"shape$i\"/>"
-}
-
-append config_of_app {
+		<config>
+			<policy label="nit_fb1" rom="shape1"/>
 		</config>
 		<route>
-			<service name="Nitpicker"> <child name="nitpicker"/>  </service>}
-
-for { set i 1} { $i <= $use_vms } { incr i} {
-append config_of_app "
-			<service name=\"ROM\" label=\"shape$i\"> <child name=\"report_rom\"/> </service>"
-}
-
-append config_of_app {
+			<service name="Nitpicker"> <child name="nitpicker"/>  </service>
+			<service name="ROM" label="shape1"> <child name="report_rom"/> </service>
 			<service name="ROM" label="hover"> <child name="report_rom"/> </service>
 			<service name="ROM" label="xray"> <child name="report_rom"/> </service>
 			<any-service> <parent/> </any-service>
 		</route>
-	</start>}
-
-for { set i 1} { $i <= $use_vms } { incr i} {
-	append config_of_app "
-	<start name=\"nit_fb${i}\" priority=\"-1\">"
-	append config_of_app {
-		<binary name="nit_fb"/>
-		<resource name="RAM" quantum="8M" />
-		<provides>
-			<service name="Framebuffer" />
-			<service name="Input" />
-		</provides>}
-
-	append config_of_app "
-		<configfile name=\"nit_fb${i}.config\"/>"
-
-	append config_of_app {
-		<route>}
-
-	append config_of_app "
-			<service name=\"ROM\" label=\"nit_fb${i}.config\"> <child name=\"nit_fb-config\"/> </service>"
-
-	append config_of_app {
-			<service name="Nitpicker"> <child name="nitpicker"/> </service>
-			<any-service> <parent /> </any-service>
-		</route>
-	</start>}
-}
-
-append config_of_app {
-	<start name="nit_fb-config" priority="-1">
-		<binary name="dynamic_rom"/>
-		<resource name="RAM" quantum="1M"/>
-		<provides> <service name="ROM"/> </provides>
-		<config>}
-
-for { set i 1} { $i <= $use_vms } { incr i} {
-	append config_of_app "
-			<rom name=\"nit_fb${i}.config\">"
-
-	append config_of_app {
-				<inline description="standard">}
-
-	if { $use_vms > 1 } {
-		append config_of_app "
-		<config xpos=\"[expr ${i} * 50]\" ypos=\"[expr (${i} - 1) * 5 + 2]\" width=\"1024\" height=\"768\"/>"
-	} else {
-		append config_of_app {
-		<config/>}
-	}
-
-	append config_of_app {
-				</inline>
-				<sleep milliseconds="50000" />}
-
-	append_if [expr !$use_rumpfs] config_of_app {
-				<inline description="shutdown">
-					<config width="0" height="0"/>
-				</inline>
-				<sleep milliseconds="500000" />}
-
-	append config_of_app {
-			</rom>}
-}
+	</start>
 
-append config_of_app {
+	<start name="launcher">
+		<binary name="init"/>
+		<resource name="RAM" quantum="1500M"/>
+		<config>
+			<parent-provides>
+				<service name="ROM"/>
+				<service name="RAM"/>
+				<service name="CAP"/>
+				<service name="PD"/>
+				<service name="RM"/>
+				<service name="CPU"/>
+				<service name="LOG"/>
+				<service name="SIGNAL"/>
+				<service name="Nitpicker" />
+				<service name="Rtc" />
+				<service name="File_system" />
+				<service name="Block" />
+				<service name="Report" />
+				<service name="Nic" />
+				<service name="Usb" />
+				<service name="Audio_out" />
+				<service name="Audio_in" />
+				<service name="Timer" />
+			</parent-provides>
+
+			<start name="nit_fb-config" priority="-1">
+				<binary name="dynamic_rom"/>
+				<resource name="RAM" quantum="1M"/>
+				<provides> <service name="ROM"/> </provides>
+				<config>
+					<rom name="nit_fb1.config">
+						<inline description="standard">
+				<config/>
+						</inline>
+						<sleep milliseconds="50000" />
+					</rom>
+				</config>
+				<route>
+					<any-service> <parent /> </any-service>
+				</route>
+			</start>
+
+			<start name="nit_fb1" priority="-1">
+				<binary name="nit_fb"/>
+				<resource name="RAM" quantum="8M" />
+				<provides>
+					<service name="Framebuffer" />
+					<service name="Input" />
+				</provides>
+				<configfile name="nit_fb1.config"/>
+				<route>
+					<service name="ROM" label="nit_fb1.config"> <child name="nit_fb-config"/> </service>
+					<any-service> <parent /> </any-service>
+				</route>
+			</start>
+
+			<start name="vbox1" priority="-2">
+				<binary name="virtualbox5-nova" />
+				<resource name="RAM" quantum="1280M"/>
+				<config ld_verbose="yes" vbox_file="vm_win10.vbox" vm_name="win10" xhci="yes">
+					<libc stdout="/dev/log" stderr="/dev/log" rtc="/dev/rtc"/>
+					<vfs>
+						<dir name="dev">
+							<log/> <rtc/>
+						</dir>
+						<rom name="vm_win10.vbox"/>
+						<fs />
+					</vfs>
+				</config>
+				<route>
+					<service name="Framebuffer"> <child name="nit_fb1" /> </service>
+					<service name="Input"> <child name="nit_fb1" /> </service>
+					<any-service> <parent/> <any-child /> </any-service>
+				</route>
+			</start>
 		</config>
+
 		<route>
+			<service name="Nitpicker"> <child name="nitpicker"/> </service>
 			<service name="Timer"> <child name="timer"/> </service>
-			<any-service> <parent /> </any-service>
-		</route>
-	</start>}
-
-for { set i 1} { $i <= $use_vms } { incr i} {
-	append config_of_app "
-	<start name=\"vbox${i}\" priority=\"-2\">"
-	append_if [expr $use_vbox4] config_of_app "
-		<binary name=\"$virtualbox_binary\" />"
-	append_if [expr $use_vbox5] config_of_app "
-		<binary name=\"$virtualbox5_binary\" />"
-
-	append config_of_app {
-		<resource name="RAM" quantum="1280M"/>}
-	if { $use_vms eq 1 } {
-		append config_of_app "
-		<config ld_verbose=\"yes\" vbox_file=\"${vbox_file}\" vm_name=\"${flavor}\" xhci=\"yes\">"
-	} else {
-		append config_of_app "
-		<affinity xpos=\"[expr $i]\" width=\"2\" />
-		<config ld_verbose=\"yes\" vbox_file=\"${vbox_file}\" vm_name=\"${flavor}\" xhci=\"no\">"
-	}
-	append config_of_app {
-			<libc stdout="/dev/log" stderr="/dev/log" rtc="/dev/rtc"/>
-			<vfs>
-				<dir name="dev">
-					<log/> <rtc/>}
-
-	append_if [expr !$use_rumpfs] config_of_app {
-					<block name="sda3" label="raw" block_buffer_count="128" />}
-	append config_of_app {
-				</dir>}
-
-	append_if [expr $use_ram_fs] config_of_app {
-				<dir name="ram">  <fs label="from_ram_fs"/> </dir>}
-
-	append config_of_app "
-				<rom name=\"${vbox_file}\"/>"
-	append_if [expr !$use_rumpfs] config_of_app "
-				<rom name=\"${raw_image}\"/>"
-
-	append_if [expr $use_rumpfs || $use_ram_fs] config_of_app {
-				<fs />}
-
-	append config_of_app {
-			</vfs>
-		</config>
-		<route>}
-
-	append_if [expr $use_ram_fs] config_of_app {
-			<service name="File_system" label="from_ram_fs"> <child name="ram_fs"/> </service>}
-
-	append_if [expr $use_rumpfs] config_of_app {
-				<service name="File_system"> <child name="rump_fs"/> </service>}
-	append_if [expr !$use_rumpfs] config_of_app {
-				<service name="Block"> <child name="part_blk"/> </service>}
-	append config_of_app "
-			<service name=\"Framebuffer\"> <child name=\"nit_fb${i}\" /> </service>
-			<service name=\"Input\"> <child name=\"nit_fb${i}\" /> </service>"
-	append config_of_app {
 			<service name="Report"><child name="report_rom" /></service>
+			<service name="File_system"> <child name="rump_fs"/> </service>
 			<service name="ROM" label="usb_devices"> <child name="report_rom" /> </service>
 			<any-service> <parent/> <any-child /> </any-service>
 		</route>
-	</start>}
-}
+	</start>
+
+
+
+	}
 
 source ${genode_dir}/repos/ports/run/virtualbox_auto.inc
 
@@ -332,7 +276,7 @@ if {$use_rumpfs} {
 		set wait_timeout 25
 	}
 } else {
-	run_genode_until {\[init\] child "vbox1" exited with exit value 0} 60 [output_spawn_id]
+	run_genode_until {\[init\] child "launcher - > vbox1" exited with exit value 0} 60 [output_spawn_id]
 	# give block driver bit time to write data to disk
 	sleep 5
 }
diff --git a/repos/ports/run/virtualbox_auto.inc b/repos/ports/run/virtualbox_auto.inc
index 2cb7b09..3e784f7 100644
--- a/repos/ports/run/virtualbox_auto.inc
+++ b/repos/ports/run/virtualbox_auto.inc
@@ -89,9 +89,9 @@ append config {
 		</route>
 		<config>}
 append_if [expr $use_rumpfs] config {
-			<policy label_prefix="rump_fs" partition="4"/>}
+			<policy label_prefix="rump_fs" partition="1"/>}
 append_if [expr !$use_rumpfs] config {
-			<policy label_prefix="vbox1 -> raw" partition="3"/>}
+			<policy label_prefix="launcher -> vbox1 -> raw" partition="3"/>}
 append config {
 		</config>
 	</start>}
@@ -131,7 +131,7 @@ append_if [expr $use_ram_fs] config {
 			<!-- constrain sessions according to their labels -->}
 for { set i 1} { $i <= ${use_vms} } { incr i} {
 append_if [expr $use_ram_fs] config "
-			<policy label_prefix=\"vbox${i} -> from_ram_fs\" root=\"/ram${i}\" writeable=\"yes\"/>"
+			<policy label_prefix=\"launcher -> vbox${i} -> from_ram_fs\" root=\"/ram${i}\" writeable=\"yes\"/>"
 }
 append_if [expr $use_ram_fs] config {
 		</config>
@@ -230,7 +230,7 @@ append_if [expr $use_usb] config {
 				<inline name="usb_report_filter.config">
 <config>
 	<!-- USB device whitelist -->
-	<client label="vbox1"/>
+	<client label="launcher -> vbox1"/>
 	<device vendor_id="0x13fe" product_id="0x5200"/> <!-- platinum stick -->
 	<device vendor_id="0x148f" product_id="0x2573"/> <!-- ralink wifi -->
 	<device vendor_id="0x1f75" product_id="0x0917"/> <!-- intenso stick -->
